#place_order.ppcp-hidden {
  display: none !important
}

.ppcp-disabled {
  cursor: not-allowed;
  filter: grayscale(100%)
}

.ppcp-disabled * {
  pointer-events: none
}

.ppc-button-wrapper .ppcp-messages:first-child {
  padding-top: 10px
}

#ppc-button-ppcp-gateway {
  line-height: 0
}

#ppc-button-ppcp-gateway div[class^=item-] {
  margin-top: 14px
}

#ppc-button-ppcp-gateway div[class^=item-]:first-child {
  margin-top: 0
}

#ppc-button-minicart {
  display: block;
  line-height: 0
}

.ppcp-button-apm {
  --apm-button-border-radius: 4px;
  border-radius: var(--apm-button-border-radius);
  height: 45px;
  line-height: 0;
  margin-top: 14px;
  max-width: 750px;
  min-width: 0;
  overflow: hidden
}

.ppcp-button-apm.ppcp-button-pill {
  --apm-button-border-radius: 50px
}

.ppcp-button-apm.ppcp-button-minicart {
  display: block
}

.ppcp-width-min .ppcp-button-apm {
  height: 35px
}

.ppcp-width-300 .ppcp-button-apm {
  height: 45px
}

.ppcp-width-500 .ppcp-button-apm {
  height: 55px
}

.wp-block-woocommerce-cart .ppcp-button-apm,
.wp-block-woocommerce-checkout .ppcp-button-apm {
  margin: 0;
  min-width: 0
}

.wp-admin .ppcp-button-apm {
  pointer-events: none
}
